Skip to main content
Monitoring & Collection/Monitoring Query & Overview

GetOverview

Retrieve high-level platform overview including VM, host, and cluster counts

GET/api/v1/monitoring/overview

Operation ID

GetOverview

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • platformUuid
    String

    UUID of the platform to retrieve overview for UUID of the platform to retrieve overview for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalVms
    String

    Total number of virtual machines across all clusters

    Example: 500

  • runningVms
    String

    Number of currently running virtual machines

    Example: 480

  • stoppedVms
    String

    Number of stopped virtual machines

    Example: 20

  • totalHosts
    String

    Total number of physical hosts

    Example: 32

  • onlineHosts
    String

    Number of online physical hosts

    Example: 31

  • totalImages
    String

    Total number of registered images

    Example: 50

  • clusters
    List

    Clusters for this resource

    Example: (nested array)

    • uuid
      String

      Unique identifier of the cluster

      Example: cluster-abc-001

    • name
      String

      Display name of the cluster

      Example: Production Cluster

    • vmCount
      String

      Total number of virtual machines in the cluster

      Example: 128

    • hostCount
      String

      Total number of physical hosts in the cluster

      Example: 16